set multiplot

!plot for bands
set ylabel 'Energy (eV)'
set ytics 5

unset key

x1 = 0.5774
x2 = 0.9107
x3 = 1.5773
x4 = 1.7631
x5 = 2.3405
x6 = 2.6738
xmax = 3.3405
ymin = -10
ymax = 10
ef = 7.0919

set origin 0.0,0.0
set size 0.8,1.0

set xrange [0:xmax]
set yrange [ymin:ymax]
set xtics ("{/Symbol G}" 0, "M" x1, "K" x2, "{/Symbol G}" x3, "A" x4, "L" x5, "H" x6, "A" xmax)
set arrow 1 nohead from x1,ymin to x1,ymax lt 2
set arrow 2 nohead from x2,ymin to x2,ymax lt 2
set arrow 3 nohead from x3,ymin to x3,ymax lt 2
set arrow 4 nohead from x4,ymin to x4,ymax lt 2
set arrow 5 nohead from x5,ymin to x5,ymax lt 2
set arrow 6 nohead from x6,ymin to x6,ymax lt 2
set arrow 7 nohead from 0,0 to xmax,0 lt 2

plot './c.band.dat.gnu' using 1:($2-ef) w l

!plot for DOS

unset xtics
unset ytics 
unset arrow 1
unset arrow 2
unset arrow 3
unset arrow 4
unset arrow 5
unset arrow 6
unset ylabel

set arrow 8 nohead from 0,0 to 3,0 lt 2
set origin 0.8,0.0
set size 0.2,1.0
set xtics 0,2,4

plot './c.pdos.dat.pdos_tot' using 2:($1-ef) title "DOS total" w lines, './C_s.dat' using 2:($1-ef) title "s-orbitals" w lines, './C_p.dat' using 2:($1-ef) title 'p-orbitals' w lines
